Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.impl.jdbc.sql
Class SQLExceptionWrapper

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.sql.SQLException
                        |
                        +--com.solarmetric.kodo.impl.jdbc.sql.SQLExceptionWrapper

All Implemented Interfaces:
  Serializable

public class SQLExceptionWrapper
extends SQLException

Wrapper for SQLExceptions that retains the offending SQL that may have caused the problem.

See Also:
  Serialized Form

Constructor Summary
`SQLExceptionWrapper(SQLException wrapped, SQLBuffer offendingSQL)`
`SQLExceptionWrapper(SQLException wrapped, String rawSQL)`

Method Summary
`int` | `getErrorCode()`
`String` | `getMessage()`
`SQLException` | `getNextException()`
`String` | `getSQLState()`
`void` | `printStackTrace(PrintStream stream)`
`void` | `printStackTrace(PrintWriter writer)`
`void` | `setNextException(SQLException ex)`
`static SQLExceptionWrapper` | `wrapSQLException(SQLException sqle, SQLBuffer buffer)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, printStackTrace, toString`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SQLExceptionWrapper

    public SQLExceptionWrapper(SQLException wrapped,
                               SQLBuffer offendingSQL)

### SQLExceptionWrapper

    public SQLExceptionWrapper(SQLException wrapped,
                               String rawSQL)

Method Detail

### wrapSQLException

    public static SQLExceptionWrapper wrapSQLException(SQLException sqle,
                                                       SQLBuffer buffer)

### printStackTrace

    public void printStackTrace(PrintWriter writer)

  Overrides:
    `printStackTrace` in class `Throwable`

### printStackTrace

    public void printStackTrace(PrintStream stream)

  Overrides:
    `printStackTrace` in class `Throwable`

### getMessage

    public String getMessage()

  Overrides:
    `getMessage` in class `Throwable`

### getErrorCode

    public int getErrorCode()

  Overrides:
    `getErrorCode` in class `SQLException`

### getNextException

    public SQLException getNextException()

  Overrides:
    `getNextException` in class `SQLException`

### getSQLState

    public String getSQLState()

  Overrides:
    `getSQLState` in class `SQLException`

### setNextException

    public void setNextException(SQLException ex)

  Overrides:
    `setNextException` in class `SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.